# Uncomment the next line to define a global platform for your project
source 'https://github.com/CocoaPods/Specs.git'
platform :ios, '13.0'

target 'galaxy' do
  use_frameworks!
  
  #网络检查
  pod 'ReachabilitySwift','5.0.0'
  #键盘处理
  pod 'IQKeyboardManagerSwift','7.0.1'
  #网络请求
  pod 'Alamofire','5.8.1'
  #图片加载
  pod 'Kingfisher','7.10.1'
  #异步编程框架
#  pod 'RxSwift','6.6.0'
#  pod 'RxCocoa','6.6.0'
#  pod 'RxAlamofire','6.1.1'
#  #数据存储
#  pod 'SwiftyUserDefaults','5.3.0'
  #数据加、解密
  pod 'CryptoSwift','1.8.0'
  #手动布局
  pod 'SnapKit','5.0.0'
  #底部tabbar布局
  pod 'ESTabBarController-swift' , '2.8.0'
  #扩展集合
  pod 'SwifterSwift','6.0.0'
  #下拉刷新、上拉更多
  pod 'ESPullToRefresh',"2.9.3"
#  #Toast
#  pod 'Toast-Swift', '5.0.1'
#  #富文本 UILabel
#  pod 'Nantes','0.1.2'
  #提示框
  pod 'PKHUD','5.3.0'
  #日志 调试
#  pod 'CocoaDebug', '1.7.7'
#  #date分类
#  pod 'SwiftDate','7.0.0'
#  #定时器
#  pod 'SwiftyTimer','2.1.0'
  #UIColor 的扩展
#  pod 'Hue','5.0.0'
#  #内存泄漏
#  pod 'LifetimeTracker','1.8.1'
#  #控制台转换成中文
  pod 'ByebyeUnicode','1.1.0'
  #轮播图
  pod 'FSPagerView','0.8.3'
  #字典、模型互转
  pod 'SmartCodable','2.2.2'
  #设备框架
  pod 'DeviceKit', '5.1.0'
#  #骨架图
#  pod 'SkeletonView','1.30.4'
  #导航栏、手势
  pod 'GKNavigationBarSwift','1.6.5'
  #crash统计
  pod 'Bugly','2.5.93'
  #神策数据分析
  pod 'SensorsAnalyticsSDK','4.6.0'
  #主流APP分类切换滚动视图
  pod 'JXSegmentedView','1.3.0'
  #UI调试组件
  pod 'LookinServer','1.2.6',:subspecs => ['Swift'], :configurations => ['Debug']
#  #阿里云OOS
#  pod 'AliyunOSSiOS','2.10.18'
  #极光推送
  pod 'JPush', '5.2.0'
  pod 'JCore', '4.6.0-noidfa'
  
  #富文本库
  pod 'AttributedString','3.3.5'
  #json转模型
  pod 'HandyJSON', '5.0.2'
  #微信SDK
  pod 'WechatOpenSDK', '2.0.2'
  #视频播放器
  pod 'BMPlayer', '~> 1.3.0'
  
end


post_install do |installer|
  installer.pods_project.targets.each do |target|
    target.build_configurations.each do |config|
      if config.build_settings['IPHONEOS_DEPLOYMENT_TARGET'].to_f < 13.0
        config.build_settings['IPHONEOS_DEPLOYMENT_TARGET'] = '13.0'
      end
    end
  end
end
